Add a follow-up step to a broadcast sequence
curl --request POST \
--url https://api.emailr.dev/v1/broadcasts/{broadcastId}/steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"delay_hours": 72,
"step_number": 2,
"subject": "<string>",
"html_content": "<string>",
"text_content": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.emailr.dev/v1/broadcasts/{broadcastId}/steps"
payload = {
"delay_hours": 72,
"step_number": 2,
"subject": "<string>",
"html_content": "<string>",
"text_content": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
delay_hours: 72,
step_number: 2,
subject: '<string>',
html_content: '<string>',
text_content: '<string>',
template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.emailr.dev/v1/broadcasts/{broadcastId}/steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"broadcast_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_number": 1,
"delay_hours": 72,
"subject": "<string>",
"html_content": "<string>",
"text_content": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}sequences
Add a follow-up step to a broadcast sequence
POST
/
v1
/
broadcasts
/
{broadcastId}
/
steps
Add a follow-up step to a broadcast sequence
Authorizations
API key authentication. Use your API key as the bearer token.
Path Parameters
Body
application/json
Hours to wait before sending this step.
Required range:
x >= 0Example:
72
Position in the sequence. If omitted, appended to the end.
Required range:
x >= 1Maximum string length:
998Response
Step created
Position of this step in the sequence (1-indexed).
Required range:
x >= 1Example:
1
Hours to wait before sending this step (after the previous step or initial send).
Required range:
x >= 0Example:
72
Optional subject override. When null, the follow-up uses 'Re: ' so it threads as a reply.
⌘I